Jira CLI(7)

NAME

jira-issue-worklog-add - Add a worklog to an issue

SYNOPSIS

jira issue worklog add ISSUE-KEY TIME_SPENT [flags]

DESCRIPTION

Add adds worklog to an issue.

OPTIONS

--started=""
    The datetime on which the worklog effort was started, eg: 2022-01-01 09:30:00

--timezone="UTC"
    The timezone to use for the started date in IANA timezone format, eg: Europe/Berlin

--comment=""
    Comment about the worklog

--new-estimate=""
    the new estimate for the backlog to be completed by

--no-input[=false]
    Disable prompt for non-required fields

-h, --help[=false]
    help for add

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --config=""
    Config file (default is /home/pbulk/.config/.jira/.config.yml, can be overridden with JIRA_CONFIG_FILE env var)

--debug[=false]
    Turn on debug output

-p, --project=""
    Jira project to look into (defaults to /home/pbulk/.config/.jira/.config.yml)

EXAMPLE
    $ jira issue worklog add
    # Pass required parameters and use --no-input to skip prompt
    $ jira issue worklog add ISSUE-1 "2d 1h 30m" --no-input
    # You can add a comment using --comment flag when adding a worklog
    $ jira issue worklog add ISSUE-1 "2d 1h 30m" --comment "This is a comment" --no-input
    # You can also add a worklog with the specific start date (defaults to UTC timezone)
    $ jira issue worklog add ISSUE-1 "2d 1h 30m" --started "2022-01-01 09:30:00"
    # You can specify timezone to use along with the start date in IANA timezone format
    $ jira issue worklog add ISSUE-1 3h --started "2022-01-01 09:30:00" --timezone "Europe/Berlin"
    # Or, you can use start date in Jira datetime format and skip the timezone flag
    $ jira issue worklog add ISSUE-1 "1h 30m" --started "2022-01-01T09:30:00.000+0200"
    # Or, you can update a worklogs remaining estimate
    $ jira issue worklog add ISSUE-1 "1h 30m" --started "2022-01-01T09:30:00.000+0200" --new-estimate 0h

SEE ALSO

jira-issue-worklog(7)

HISTORY

28-Apr-2026 Auto generated by spf13/cobra